%define	name	bridge-utils
%define	version	1.5
%define	rel     2
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Utilities for configuring the linux ethernet bridge
Group:		Networking/Other
License:	GPL
URL:		http://linux-net.osdl.org/index.php/Bridge
Source0:	http://downloads.sourceforge.net/bridge/%{name}-%{version}.tar.gz
Patch1:		bridge-utils-1.5-kernel-headers.patch
BuildRequires:	kernel-headers

%description
This package contains utilities for configuring the linux ethernet
bridge. The linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%package	devel
Summary:	Libraries for the linux ethernet bridge programs
Group:		Development/C

%description	devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%prep
%setup -q
%patch1 -p1 -b .kernel-headers

%build
autoconf
%configure2_5x
# makefile is broken and passes -j without argument to sub-make
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README doc/{FAQ,FIREWALL,HOWTO,WISHLIST}
%{_mandir}/man*/*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_mandir}/man*/*
#{_libdir}/*.a
#{_includedir}/*.h




%changelog

* Sun Jan 13 2013 cjw <cjw> 1.5-2.mga3
+ Revision: 374253
- patch1: fix build with new kernel headers
- drop buildroot definition
- don't use parallel make because of broken makefile

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.5-1.mga2
+ Revision: 131051
- fix file list
- new release

* Mon Mar 07 2011 ennael <ennael> 1.4-6.mga1
+ Revision: 65953
- imported package bridge-utils

